{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags %}

{% block page_title %}{% blocktranslate %}View {{ collection_name }}: {{ asset_name }}{% endblocktranslate %}{% endblock %}

{% block head_og_tags %}
    {{ block.super }}
    <meta property="og:title" content="{{ asset.name }}" />
    <meta property="og:description" content="{{ asset.profile|default:asset.description|striptags|truncatechars:80 }}" />
{% endblock %}

{% block breadcrumbs %}
{% endblock %}
{% block content %}

<div class="container-fluid p-0">

    <main class="content">
        <div class="container-fluid p-0">


            <div class="card">
                <div class="card-body">
                    <div class="tab">

                        <ul class="nav nav-tabs justify-content-left">
                            <li class="nav-item"><a class="nav-link active h3" href="#details" data-toggle="tab" role="tab" aria-selected="true">{{ asset.name }}</a></li>
                            <li class="nav-item"><a class="nav-link h3" href="#opensea" data-toggle="tab" role="tab">OpenSea</a></li>
                            {% if asset.current_owner.owner_user == user %}
                                <li class="nav-item"><a class="nav-link h3" href="#edit_profile" data-toggle="tab" role="tab">Edit Profile</a></li>
                            {% endif %}
                        </ul>

                        <div class="tab-content">
                            <div class="tab-pane active" id="details" role="tabpanel">
                                <div class="row">

                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-body">
                                                <img src="https://images.influenceth.io/v1/crew/{{ asset.serial }}/image.svg" alt="{{ asset.name }}"
                                                width="100%" class="p-5">
                                                <p class="p-5">
                                                    <a class="btn btn-success" href="{% url 'nfts:asset-refresh' collection.symbol asset.serial %}"><i class="fas fa-sync"></i>&nbsp;{% translate "Refresh Crewmate Data" %}</a>
                                                </p>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-header">
                                                <h4 class="card-title mb-0">{% translate "Profile" %}</h4>
                                            </div>
                                            <div class="card-body">
                                                {% autoescape off %}
                                                {{ asset.profile }}
                                                {% endautoescape %}
                                            </div>
                                        </div>
                                    </div>

                                    <div class="col-4">
                                        <div class="card">
                                            <div class="card-header">
                                                <h4 class="card-title mb-0">{{ asset.name }}</h4>
                                            </div>
                                            <div class="card-body">
                                                <dl class="row">
                                                    <dt class="col-6">{% translate "Owner" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.current_owner.owner_user.username|default:"&nbsp;" }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Allegiance" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.current_owner.owner_user.allegiance.name|default:"&nbsp;" }}</tt>
                                                    </dd>

                                                </dl>

                                                <hr />

                                                <dl class="row">
                                                    <dt class="col-6">{% translate "Collection" %}:</dt>
                                                    <dd>
                                                        {% if asset.crew_collection == 1 %}
                                                        <tt>{% translate "Citizen" %}</tt>
                                                        {% elif asset.crew_collection == 2 %}
                                                        <tt>{% translate "Specialist" %}</tt>
                                                        {% elif asset.crew_collection == 3 %}
                                                        <tt>{% translate "Department Head" %}</tt>
                                                        {% else %}
                                                        <tt>Adalian</tt>
                                                        {% endif %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Class" %}:</dt>
                                                    <dd>
                                                        {% if asset.crew_class == 1 %}
                                                        <tt>{% translate "Pilot" %}</tt>
                                                        {% elif asset.crew_class == 2 %}
                                                        <tt>{% translate "Engineer" %}</tt>
                                                        {% elif asset.crew_class == 3 %}
                                                        <tt>{% translate "Miner" %}</tt>
                                                        {% elif asset.crew_class == 4 %}
                                                        <tt>{% translate "Merchant" %}</tt>
                                                        {% elif asset.crew_class == 5 %}
                                                        <tt>{% translate "Scientist" %}</tt>
                                                        {% else %}
                                                        <tt>{% translate "Miner" %}</tt>
                                                        {% endif %}
                                                    </dd>

                                                    <dt class="col-6">{% translate "Job Title" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.title }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Job Tier" %}:</dt>
                                                    <dd>
                                                        <tt> -- </tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Rarity" %}:</dt>
                                                    <dd>
                                                        <tt> -- </tt>
                                                    </dd>
                                                </dl>

                                                <hr />

                                                <dl class="row">

                                                    <dt class="col-6">{% translate "Hair Style" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.hair }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Hair Color" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.hair_color }}</tt>
                                                    </dd>

                                                    <dt class="col-6">{% translate "Gender Identity" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.gender }}</tt>
                                                    </dd>

                                                    {% if asset.head_piece != 0 %}
                                                    <dt class="col-6">{% translate "Headwear" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.head_piece }}</tt>
                                                    </dd>
                                                    {% else %}
                                                    {% endif %}

                                                    {% if asset.bonus_item != 0 %}
                                                    <dt class="col-6">{% translate "Special Item" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.bonus_item }}</tt>
                                                    </dd>
                                                    {% else %}
                                                    {% endif %}

                                                    {% if asset.facial_feature != 0 %}
                                                    <dt class="col-6">{% translate "Facial Feature" %}:</dt>
                                                    <dd>
                                                        <tt>{{ asset.facial_feature }}</tt>
                                                    </dd>
                                                    {% else %}
                                                    {% endif %}
                                                </dl>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="tab-pane" id="opensea" role="tabpanel">
                                <div class="alert alert-primary">
                                    <div class="alert-message">
                                        <h4 class="alert-heading">{% translate "OpenSea Embed &mdash; Reduced Functionality" %}</h4>
                                        <p>{% blocktranslate %}OpenSea only offers reduced functionality for embeds. To access this asset in OpenSea, click below.{% endblocktranslate %}</p>
                                        <hr>
                                        <div class="btn-list">
                                            <a class="btn btn-secondary" href="https://opensea.io/assets/0x746db7b1728af413c4e2b98216c6171b2fc9d00e/{{ asset.serial }}" target="_blank">{% translate "Open in OpenSea" %} <i class="fas fa-external-link-alt"></i></a>
                                        </div>
                                    </div>
                                </div>
                                <iframe src="https://opensea.io/assets/0x746db7b1728af413c4e2b98216c6171b2fc9d00e/{{ asset.serial }}?embed=true"
                                    style="width: 100%; min-height: 1000px;"
                                    frameborder='0'
                                    allowfullscreen>
                                </iframe>
                            </div>
                        </div>

                    </div>
                </div>
            </div>

        </div>
    </main>
</div>
{% endblock %}
